=== debian/changelog ===
stegfs-tools (1.1.1-1) unstable; urgency=low

  * Initial release.

 -- Andrew McDonald <andrew@mcdonald.org.uk>  Wed, 28 Jun 2000 15:48:40 +0100

Local variables:
mode: debian-changelog
End:
