=== debian/control ===
Source: stegfs-tools
Section: admin
Priority: extra
Maintainer: Andrew McDonald <andrew@mcdonald.org.uk>
Standards-Version: 3.1.1

Package: stegfs-tools
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for the StegFS filesystem
 StegFS is a Steganographic File System for Linux. It is described in
 the paper "StegFS: A Steganographic File System for Linux" by McDonald
 and Kuhn.
 .
 This package contrinas tools for creating, managing and maintaining
 StegFS filesystems.
